org.apache.cassandra.index.internal

## Class IndexEntry

- java.lang.Object
- - org.apache.cassandra.index.internal.IndexEntry

    public final class IndexEntry
    extends java.lang.Object

Entries in indexes on non-compact tables (tables with composite comparators) can be encapsulated as IndexedEntry instances. These are not used when dealing with indexes on static/compact/thrift tables (i.e. KEYS indexes).

### Field Summary

Fields
`Clustering` `indexClustering`
`Clustering` `indexedEntryClustering`
`java.nio.ByteBuffer` `indexedKey`
`DecoratedKey` `indexValue`
`long` `timestamp`

### Constructor Summary

Constructors
Constructor and Description
`IndexEntry(DecoratedKey indexValue, Clustering indexClustering, long timestamp, java.nio.ByteBuffer indexedKey, Clustering indexedEntryClustering)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### indexValue

    public final DecoratedKey indexValue

#### indexClustering

    public final Clustering indexClustering

#### timestamp

    public final long timestamp

#### indexedKey

    public final java.nio.ByteBuffer indexedKey

#### indexedEntryClustering

    public final Clustering indexedEntryClustering

### Constructor Detail

#### IndexEntry

    public IndexEntry(DecoratedKey indexValue,
                      Clustering indexClustering,
                      long timestamp,
                      java.nio.ByteBuffer indexedKey,
                      Clustering indexedEntryClustering)